diff --git a/.gitignore b/.gitignore
index dc64637..ecd9e70 100644
--- a/.gitignore
+++ b/.gitignore
@@ -34,6 +34,9 @@
 !/test/e2e/runs/.gitkeep
 # Per-task hive runner state (markers, stages, logs, worktrees).
 # Treated as runtime-only by GitOps#add_hive_state_to_master_gitignore!.
+# `.hive/` is the canonical scaffold root; `.hive-state/` is the legacy
+# name kept for pre-rename checkouts (read-only back-compat).
+/.hive/
 /.hive-state/
 # Local daemon runtime artifacts.
 /.daemon.pid
diff --git a/Rakefile b/Rakefile
index 9f5959c..ceef844 100644
--- a/Rakefile
+++ b/Rakefile
@@ -45,4 +45,17 @@ task :e2e do
   ruby "bin/hive-e2e", "run"
 end
 
+desc "Build a self-contained release tarball (packaging/build.sh, plan U3)."
+# Usage: rake 'release:tarball[v0.1.0]'
+# Produces tmp/release/hive-<version>-<os>-<arch>.tar.gz of the fixed
+# channel-consumed shape (bin/hive + share/hive payload + SHA256SUMS).
+# Default PACKAGING_BACKEND=auto tries Tebako then falls back; dev builds
+# without an embedded runtime are fine for local smoke verification.
+namespace :release do
+  task :tarball, [:version] do |_t, args|
+    version = args[:version] || ENV["HIVE_VERSION"] || Hive::VERSION.tap { |v| abort "usage: rake 'release:tarball[vX.Y.Z]'" }
+    sh "bash packaging/build.sh #{version}"
+  end
+end
+
 task default: :test
diff --git a/lib/hive.rb b/lib/hive.rb
index 8db3300..77a8952 100644
--- a/lib/hive.rb
+++ b/lib/hive.rb
@@ -2,6 +2,53 @@ module Hive
   VERSION = "0.1.0".freeze
   MIN_CLAUDE_VERSION = "2.1.118".freeze
 
+  # Canonical per-project state-scaffold directory (plan
+  # figure-out-way-to-install-260513-4a0a U2). New `hive init` runs create
+  # `<project>/.hive/`; pre-rename projects keep their `.hive-state/`
+  # tree working read-only through the back-compat resolution below.
+  PROJECT_DIR = ".hive".freeze
+  LEGACY_PROJECT_DIR = ".hive-state".freeze
+
+  # Resolver shared by GitOps / Config / commands so the two names can
+  # never drift apart again. When neither directory exists (fresh init)
+  # the canonical name wins; when both exist the canonical name wins
+  # deterministically (never crashes, never reads the stale one).
+  module ProjectDirs
+    module_function
+
+    # Basename of the scaffold dir to use under `project_root`, probing
+    # the filesystem: existing canonical → canonical, existing legacy →
+    # legacy, otherwise canonical (creation default).
+    def resolve(project_root)
+      return PROJECT_DIR if File.directory?(File.join(project_root, PROJECT_DIR))
+      return LEGACY_PROJECT_DIR if File.directory?(File.join(project_root, LEGACY_PROJECT_DIR))
+
+      PROJECT_DIR
+    end
+  end
+
+  # One-line-per-process notice printed when a command touches a
+  # pre-rename `.hive-state` tree (plan U2 read-only back-compat). The
+  # migration command itself is out of v1 scope — the notice sets
+  # expectations without pretending an upgrade ran.
+  @legacy_notice_announced = false
+  class << self
+    attr_accessor :legacy_notice_announced
+  end
+
+  def self.announce_legacy_project_dir!(tree_root)
+    base = File.basename(File.expand_path(tree_root.to_s))
+    return if legacy_notice_announced || base != LEGACY_PROJECT_DIR
+    return if ENV["HIVE_QUIET_LEGACY_NOTICE"]
+
+    self.legacy_notice_announced = true
+    warn "hive: legacy #{LEGACY_PROJECT_DIR}/ layout detected for this project; " \
+         "it stays fully supported (read-only compat). A `hive migrate` conversion " \
+         "to #{PROJECT_DIR}/ will land in a future release."
+  rescue StandardError
+    nil
+  end
+
   module Schemas
     # JSON schema versions for the agent-callable contracts emitted by the
     # CLI. Bump a value here when an existing key's shape changes or is
diff --git a/lib/hive/assets.rb b/lib/hive/assets.rb
new file mode 100644
index 0000000..0769637
--- /dev/null
+++ b/lib/hive/assets.rb
@@ -0,0 +1,36 @@
+module Hive
+  # Shared-asset resolution for packaged builds (plan
+  # figure-out-way-to-install-260513-4a0a U3). Templates and other
+  # shipped assets are looked up in this order:
+  #
+  #   1. HIVE_ASSETS_DIR        — explicit override (packagers / tests).
+  #   2. Hive::Paths.data_dir   — operator-shared assets under XDG data
+  #                               home (~/.local/share/hive or FHS
+  #                               /usr/share/hive as laid out by channels).
+  #   3. Repo-relative          — dev checkouts AND the self-contained
+  #                               release tarball, both of which keep the
+  #                               lib/../templates layout intact.
+  module Assets
+    module_function
+
+    # Returns the absolute directory that holds shipped asset subtree
+    # `<name>/` (e.g. name="templates"), preferring each source in turn,
+    # or nil when nothing exists on disk.
+    def dir_for(name)
+      explicit = ENV["HIVE_ASSETS_DIR"]
+      if explicit && !explicit.to_s.empty?
+        candidate = File.join(expand(explicit), name.to_s)
+        return candidate if File.directory?(candidate)
+      end
+
+      candidate = File.expand_path(name.to_s, Hive::Paths.data_dir)
+      return candidate if File.directory?(candidate)
+
+      nil # caller falls back to its own repo-relative root
+    end
+
+    def expand(path)
+      File.expand_path(path.to_s.sub(/\A~\//, "#{Dir.home}/"))
+    end
+  end
+end
diff --git a/lib/hive/bot/child_supervisor.rb b/lib/hive/bot/child_supervisor.rb
index b752f6a..803bee9 100644
--- a/lib/hive/bot/child_supervisor.rb
+++ b/lib/hive/bot/child_supervisor.rb
@@ -2,6 +2,7 @@ require "fileutils"
 require "json"
 require "time"
 require "tmpdir"
+require "hive"
 
 module Hive
   module Bot
@@ -200,7 +201,7 @@ module Hive
       def log_path_for(cwd:, project:, slug:)
         return @log_dir_for_task.call(project, slug) if @log_dir_for_task
 
-        hive_state = File.join(cwd, ".hive-state")
+        hive_state = File.join(cwd, ProjectDirs.resolve(cwd))
         base = if Dir.exist?(hive_state)
                  File.join(hive_state, "logs", slug.to_s)
         else
diff --git a/lib/hive/cli.rb b/lib/hive/cli.rb
index 9bc60cb..74113e0 100644
--- a/lib/hive/cli.rb
+++ b/lib/hive/cli.rb
@@ -25,12 +25,13 @@ module Hive
     end
     map "--version" => :version
 
-    desc "init [PROJECT_PATH]", "Bootstrap .hive-state (orphan hive/state branch); TTY-prompts for agents + limits"
+    desc "init [PROJECT_PATH]", "Bootstrap the .hive scaffold (orphan hive/state branch); TTY-prompts for agents + limits"
     long_desc <<~DESC
       Initialises hive in PROJECT_PATH (defaults to the current directory):
       creates the orphan `hive/state` branch, attaches it as a worktree at
-      `<project>/.hive-state/`, scaffolds stage folders, ignores
-      `.hive-state/` on master, and registers the project globally.
+      `<project>/.hive/`, scaffolds stage folders, ignores
+      `/.hive/` on master (plus the legacy `/.hive-state/`), and registers
+      the project globally.
 
       On a TTY, init asks the operator four questions before writing
       anything to disk:
@@ -51,7 +52,7 @@ module Hive
         hive: using defaults — planning=claude, dev=codex, reviewers=all3, limits=defaults
 
       To set non-default values from automation, run init and then
-      hand-edit `.hive-state/config.yml` (see `wiki/modules/config.md`
+      hand-edit `<project>/.hive/config.yml` (see `wiki/modules/config.md`
       for the schema). Piped STDIN is intentionally NOT consumed.
 
       Exit codes:
@@ -70,8 +71,8 @@ module Hive
 
     desc "forget NAME", "Remove a project from the global registry (inverse of `hive init`)"
     long_desc <<~DESC
-      Drops the entry whose `name` matches NAME from ~/Dev/hive/config.yml.
-      The project's .hive-state directory on disk (if any) is left alone.
+      Drops the entry whose `name` matches NAME from ~/.config/hive/config.yml.
+      The project's .hive scaffold directory on disk (if any) is left alone.
 
       An unknown name is a USAGE error (64), mirroring `hive metrics
       --project NAME`. To bulk-remove every entry whose path no longer
@@ -94,7 +95,7 @@ module Hive
 
     desc "prune", "Drop registry entries whose project path no longer exists"
     long_desc <<~DESC
-      Walks ~/Dev/hive/config.yml and removes every `registered_projects`
+      Walks ~/.config/hive/config.yml and removes every `registered_projects`
       entry whose `path` is not a directory on disk OR whose row shape is
       invalid (non-Hash, missing `path`, etc. — hand-edit accidents).
       Useful after running `hive init` against `mktemp -d` directories
@@ -490,7 +491,7 @@ module Hive
                                           --json emits hive-daemon-reload.v1.
         tail                              Stream daemon.log.
         enable  PROJECT|--all [--json]    Set daemon.enabled: true in
-                                          <project>/.hive-state/config.yml.
+                                          <project>/.hive/config.yml.
                                           --all = every registered project;
                                           --json emits hive-daemon-enroll.v1.
         disable PROJECT|--all [--json]    Set daemon.enabled: false there.
@@ -554,6 +555,47 @@ module Hive
       ).call
     end
 
+    desc "update", "Upgrade hive via the install channel's native updater (brew / AUR / install.sh)"
+    long_desc <<~DESC
+      Resolves the per-user install receipt (~/.config/hive/install.yml)
+      recorded at install time and delegates to the owning channel:
+
+        brew   → brew upgrade <org>/hive/hive
+        aur    → yay|paru -Syu --needed hive-bin
+        script → re-run the pinned release install.sh
+
+      Never swaps binaries in place; refuses to run as root/under sudo;
+      exits 0 with guidance when no receipt exists (dev checkouts).
+    DESC
+    def update
+      require "hive/commands/update"
+      exit Hive::Commands::Update.new.call
+    end
+
+    desc "uninstall [--purge]", "Remove service + (optionally) scaffolds/data; binary via the install channel"
+    long_desc <<~DESC
+      Preserve-by-default uninstall: always removes the daemon service
+      registration; offers per-project .hive scaffold removal (default
+      keep) and global data removal (default keep) on a TTY; delegates
+      binary removal to the owning channel. Skills stay managed by each
+      agent CLI's own marketplace.
+
+      Non-TTY without --purge prints the plan and changes nothing.
+      Non-TTY --purge runs the deterministic CI-safe subset (service,
+      registry tidy, receipt) while PRESERVING all work data.
+    DESC
+    option :purge, type: :boolean, default: false,
+                   desc: "non-interactive subset: service + registry tidy + receipt; data preserved"
+    def uninstall
+      require "hive/commands/uninstall"
+      exit Hive::Commands::Uninstall.new(purge: options[:purge]).call
+    end
+
+    def uninstall
+      require "hive/commands/uninstall"
+      exit Hive::Commands::Uninstall.new(purge: options[:purge]).call
+    end
+
     no_commands do
       # Emit a hive-daemon-enroll ErrorPayload to stdout when --json is
       # set, then raise so the bin/hive top-level rescue maps to the
@@ -595,7 +637,7 @@ module Hive
                                           --json emits hive-bot-reload.v1.
         tail                              Stream bot.log.
 
-      The bot reads the global `bot:` block from ~/Dev/hive/config.yml.
+      The bot reads the global `bot:` block from ~/.config/hive/config.yml.
       Its Telegram token comes only from HIVE_TELEGRAM_BOT_TOKEN. Incoming
       updates from chat IDs outside bot.chat_id_allowlist are ignored.
 
diff --git a/lib/hive/commands/bot.rb b/lib/hive/commands/bot.rb
index 7b88a6e..38696d9 100644
--- a/lib/hive/commands/bot.rb
+++ b/lib/hive/commands/bot.rb
@@ -42,11 +42,11 @@ module Hive
       end
 
       def pid_file
-        File.expand_path(bot_config.fetch("pid_file", File.join(@hive_home, ".bot.pid")))
+        File.expand_path(bot_config.fetch("pid_file", Hive::Paths.bot_pid_file))
       end
 
       def log_file
-        File.expand_path(bot_config.fetch("log_file", File.join(@hive_home, "logs", "bot.log")))
+        File.expand_path(bot_config.fetch("log_file", Hive::Paths.bot_log_file))
       end
 
       private
diff --git a/lib/hive/commands/daemon.rb b/lib/hive/commands/daemon.rb
index f88bca6..04960ab 100644
--- a/lib/hive/commands/daemon.rb
+++ b/lib/hive/commands/daemon.rb
@@ -3,6 +3,7 @@ require "json"
 require "time"
 require "yaml"
 require "hive/config"
+require "hive/paths"
 require "hive/lock"
 require "hive/daemon/dispatcher"
 require "hive/daemon/concurrency_controller"
@@ -72,18 +73,18 @@ module Hive
       end
 
       def pid_file
-        @pid_file ||= File.join(@hive_home, ".daemon.pid")
+        @pid_file ||= Hive::Paths.daemon_pid_file
       end
 
       def log_file
-        @log_file ||= File.join(@hive_home, "logs", "daemon.log")
+        @log_file ||= Hive::Paths.daemon_log_file
       end
 
       private
 
       def start_daemon
         warn_unsupported_json_flag if @json
-        FileUtils.mkdir_p(@hive_home)
+        FileUtils.mkdir_p(Hive::Paths.state_dir)
         FileUtils.mkdir_p(File.dirname(log_file))
 
         # Single-instance check: if a live daemon already owns the PID
@@ -123,7 +124,7 @@ module Hive
         # process that happens to have the same PID. PR-40 review P2 #3.
         File.write(pid_file, pid_file_payload(Process.pid, own_start_time).to_yaml)
 
-        # Load the daemon block from ~/Dev/hive/config.yml so operator
+        # Load the daemon block from ~/.config/hive/config.yml so operator
         # overrides (max_concurrent_runs, poll_interval_sec, log paths,
         # etc.) actually take effect. PR-40 review P1 #2: this used to
         # call merge_defaults({}) which discarded the global config.
diff --git a/lib/hive/commands/doctor.rb b/lib/hive/commands/doctor.rb
index 1b87c60..811e9ca 100644
--- a/lib/hive/commands/doctor.rb
+++ b/lib/hive/commands/doctor.rb
@@ -1,4 +1,6 @@
 require "json"
+require "open3"
+require "stringio"
 
 require "hive"
 require "hive/config"
@@ -38,6 +40,38 @@ module Hive
 
       STAGES = %w[brainstorm plan].freeze
 
+      # System dependency probe table (plan figure-out-way-to-install-
+      # 260513-4a0a U4 / R9). Hive NEVER auto-installs anything: hard rows
+      # abort `hive init` with an actionable hint; warn rows print yellow
+      # hint lines and never block.
+      SYSTEM_HARD_DEPENDENCIES = [
+        {
+          "bin" => "git",
+          "label" => "system/git",
+          "packages" => "git",
+          "message" => "required to bootstrap the hive/state worktree and every stage's git plumbing"
+        },
+        {
+          "bin" => "bash",
+          "label" => "system/bash",
+          "packages" => "bash",
+          "message" => "required by the agent runtime wrappers"
+        }
+      ].freeze
+
+      SYSTEM_WARN_DEPENDENCIES = [
+        { "bin" => "claude", "label" => "agent/claude", "min_version" => "2.1.118",
+          "packages" => "claude", "version_flag" => "--version" },
+        { "bin" => "codex", "label" => "agent/codex", "min_version" => "0.125.0",
+          "packages" => "codex", "version_flag" => "--version" },
+        { "bin" => "pi", "label" => "agent/pi", "min_version" => "0.70.2",
+          "packages" => "pi", "version_flag" => "--version" },
+        { "bin" => "gh", "label" => "github/gh", "packages" => "gh",
+          "message" => "needed for the open-pr/finalize stages and the daemon's PR merge watcher" },
+        { "bin" => "jq", "label" => "tooling/jq", "packages" => "jq",
+          "message" => "conventionally used by agents to read --json envelopes; hive itself never invokes it" }
+      ].freeze
+
       # Exposes the row set after `#call` has run. Lets in-process
       # callers (e.g., `Hive::Commands::Init`'s preflight) read the
       # probe results directly without re-running the renderer or the
@@ -53,7 +87,7 @@ module Hive
       end
 
       def call
-        @rows = check_tmux + check_stages + check_reviewers
+        @rows = check_system_dependencies + check_tmux + check_stages + check_reviewers
         if @json
           @output.puts JSON.generate(envelope(@rows))
         else
@@ -76,6 +110,112 @@ module Hive
         status == "missing" || status == "version_too_old"
       end
 
+      # ── System dependency probes (U4) ─────────────────────────────────
+
+      def check_system_dependencies
+        SYSTEM_HARD_DEPENDENCIES.map { |dep| dependency_row(dep, hard: true) } +
+          SYSTEM_WARN_DEPENDENCIES.map { |dep| dependency_row(dep, hard: false) }
+      end
+
+      def dependency_row(dep, hard:)
+        bin = dep["bin"]
+        resolved = which(bin)
+        if resolved.nil?
+          return row_for(dep,
+                         status: hard ? "missing" : "warning",
+                         message: "#{bin} not found on PATH — install it with " \
+                                  "#{install_hint(dep)}; " \
+                                  "(#{dep['message'] || 'optional for hive'}#{hard ? '; `hive init` aborts until installed' : ''})")
+        end
+
+        min = dep["min_version"]
+        live = nil
+        if min
+          live = binary_version(bin, dep["version_flag"])
+          if live && version_below?(live, min)
+            return row_for(dep, status: "version_too_old",
+                                message: "#{bin} #{live} is below the supported floor #{min}; " \
+                                         "upgrade before running stages (README documents the pinned floors)")
+          end
+        end
+
+        row_for(dep, status: "present", message: "#{bin} #{live || resolved}")
+      end
+
+      def row_for(dep, status:, message:)
+        {
+          kind: "dependency",
+          stage: "-",
+          label: dep["label"],
+          agent: "system",
+          configured_skill: dep["bin"],
+          skill: dep["bin"],
+          status: status,
+          message: message
+        }
+      end
+
+      def which(bin)
+        # Avoid depending on `which`/`type` binaries: probe each PATH entry
+        # (stripped containers may lack both).
+        ENV.fetch("PATH", "").split(File::PATH_SEPARATOR).each do |dir|
+          candidate = File.join(dir, bin)
+          return candidate if File.file?(candidate) && File.executable?(candidate)
+        end
+        nil
+      end
+
+      def binary_version(bin, flag)
+        out, _err, status = Open3.capture3(bin, flag)
+        status.success? ? out.lines.first.to_s.strip[/\d+(?:\.\d+)+/] : nil
+      rescue StandardError
+        nil
+      end
+
+      DPKG_HINT = "sudo apt-get install -y".freeze
+
+      def install_hint(dep)
+        packages = dep["packages"]
+        case distro_family
+        when :darwin then "brew install #{packages}"
+        when :arch then "sudo pacman -S --needed #{packages}"
+        when :debian then "#{DPKG_HINT} #{packages}"
+        when :fedora then "sudo dnf install -y #{packages}"
+        else "install #{packages} using your OS package manager"
+        end
+      end
+
+      def distro_family
+        return :darwin if RUBY_PLATFORM.include?("darwin")
+
+        os_release = "/etc/os-release"
+        if File.readable?(os_release)
+          id = File.read(os_release)[/^ID=([a-z]+)/, 1]
+          return :arch if %w[arch manjaro endeavouros].include?(id)
+          return :fedora if %w[fedora rhel centos].include?(id)
+          return :debian if %w[debian ubuntu pop neon].include?(id)
+        end
+        :unknown
+      end
+
+      def version_below?(live, floor)
+        compare = lambda do |str|
+          str.split(".").map { |s| s.to_i }
+        end
+        (compare.call(live) <=> compare.call(floor)) < 0
+      end
+
+      # Public gate used by `hive init` (R9): returns the hard-dependency
+      # rows that are NOT satisfied. An empty result means init may proceed.
+      # Report-with-hints policy: never auto-installs anything.
+      def self.unsatisfied_hard_dependencies(output: $stderr)
+        doctor = new(config: {}, project_root: Dir.pwd, output: StringIO.new)
+        hard_labels = SYSTEM_HARD_DEPENDENCIES.map { |d| d["label"] }
+        doctor.send(:check_system_dependencies)
+              .select { |r| hard_labels.include?(r[:label]) }
+              .select { |r| r[:status] == "missing" || r[:status] == "version_too_old" }
+      end
+
       def check_stages
         STAGES.map { |stage| check_stage(stage) }
       end
diff --git a/lib/hive/commands/forget.rb b/lib/hive/commands/forget.rb
index d2fbd01..f105e83 100644
--- a/lib/hive/commands/forget.rb
+++ b/lib/hive/commands/forget.rb
@@ -4,7 +4,7 @@ require "hive/config"
 module Hive
   module Commands
     # `hive forget NAME [--json]` — remove the entry whose `name` matches
-    # NAME from the global registry (~/Dev/hive/config.yml). The
+    # NAME from the global registry (~/.config/hive/config.yml). The
     # project's `.hive-state` directory on disk is not touched; the
     # registry and the on-disk state are independent.
     #
@@ -84,7 +84,11 @@ module Hive
         # leak an Integer into the envelope, violating the schema's
         # `"name": { "type": "string" }` contract.
         abs_path = File.expand_path(removed["path"].to_s)
-        hive_state = removed["hive_state_path"] ? File.expand_path(removed["hive_state_path"]) : File.join(abs_path, ".hive-state")
+        hive_state = if removed["hive_state_path"]
+                       File.expand_path(removed["hive_state_path"])
+                     else
+                       File.join(abs_path, ProjectDirs.resolve(abs_path))
+                     end
         {
           "schema" => "hive-forget",
           "schema_version" => Hive::Schemas::SCHEMA_VERSIONS.fetch("hive-forget"),
diff --git a/lib/hive/commands/init.rb b/lib/hive/commands/init.rb
index b86e8d6..3072fb1 100644
--- a/lib/hive/commands/init.rb
+++ b/lib/hive/commands/init.rb
@@ -22,6 +22,11 @@ module Hive
       end
 
       def call
+        # R9 dependency gate: report-with-hints, never auto-install. Hard
+        # rows abort BEFORE any disk/git side effects; warn rows surface
+        # via the post-init doctor preflight below.
+        abort_on_missing_hard_dependencies!
+
         validate_git_repo!
         validate_clean_tree! unless @force
 
@@ -31,6 +36,16 @@ module Hive
                 "already initialized; hive/state branch present at #{@project_path}"
         end
 
+        # Plan U2: a pre-rename `.hive-state` tree without its branch (or
+        # an old checkout switching over) gets a one-line migration hint.
+        # The tree itself is never touched by the shim.
+        legacy_dir = File.join(@project_path, Hive::LEGACY_PROJECT_DIR)
+        if File.directory?(legacy_dir) && !File.directory?(File.join(@project_path, Hive::PROJECT_DIR))
+          write_warn("hive: legacy #{Hive::LEGACY_PROJECT_DIR}/ directory present; " \
+                     "creating the new scaffold at #{Hive::PROJECT_DIR}/. " \
+                     "The legacy tree stays untouched; a `hive migrate` conversion will land in a future release.")
+        end
+
         # Prompt placement is load-bearing (per ADR-023): runs AFTER the
         # already-initialized guard above, BEFORE any disk writes below.
         # An aborted prompt (`n` at confirmation) leaves zero footprint —
@@ -44,8 +59,44 @@ module Hive
 
         entry = Hive::Config.register_project(name: File.basename(@project_path), path: @project_path)
 
+        persist_global_model_overrides!(answers)
+
         print_summary(entry: entry, ops: ops)
         run_init_preflight!
+        register_service!
+      end
+
+      # R10 (U5): offer per-user service registration (launchd agent /
+      # systemd --user unit) after the scaffold is up. Prompt semantics:
+      # TTY blank/start → register AND start now; 'register' → manifest
+      # written but nothing started; non-TTY default is register-only
+      # (never silent autostart). Failures are advisory — a completed init
+      # must not be torn down because launchctl/systemctl misbehaved.
+      def register_service!
+        require "hive/service"
+        # Test/isolation kill-switch: never touch launchctl/systemctl from
+        # the suite or from operators who opt out.
+        return if ENV["HIVE_NO_SERVICE"] == "1"
+
+        choice = Hive::ServiceRegisterPrompt.new(input: $stdin, output: $stderr).ask
+        return if choice == Hive::Service::SKIP
+
+        result = Hive::Service.register!(choice)
+        if result[:started_now]
+          write_warn("hive: daemon service registered AND started (#{result[:manifest]})")
+          write_warn("  check with: hive daemon status")
+        else
+          write_warn("hive: daemon service registered, not started (#{result[:manifest]})")
+          write_warn("  enable+start later via the service manager, or: hive daemon start --detach")
+        end
+        write_warn("  service label/unit: #{Hive::Service::LABEL}")
+      rescue Hive::Service::Unsupported => e
+        write_warn("hive: skipping daemon service registration — #{e.message}")
+      rescue Hive::Error => e
+        write_warn("hive: daemon service registration failed (init completed anyway): #{e.message}")
+      rescue StandardError => e
+        write_warn("hive: daemon service registration crashed (init completed anyway): " \
+                   "#{e.class}: #{e.message}")
       end
 
       # Non-fatal skill preflight: after init succeeds, run the doctor
@@ -58,6 +109,17 @@ module Hive
       # `Errno::EPIPE` rescued narrowly around `warn` so a
       # `hive init | head` pattern doesn't crash. `Interrupt` and
       # `SystemExit` propagate (Ctrl-C honored as user intent).
+      def abort_on_missing_hard_dependencies!
+        require "hive/commands/doctor"
+        missing = Hive::Commands::Doctor.unsatisfied_hard_dependencies
+        return if missing.empty?
+
+        write_warn("hive init: required system dependencies are missing:")
+        missing.each { |r| write_warn("  - #{r[:message]}") }
+        write_warn("  Install them, then re-run `hive init`. Nothing was written to disk.")
+        exit Hive::ExitCodes::GENERIC
+      end
+
       def run_init_preflight!
         cfg = Hive::Config.load(@project_path)
         doctor = Hive::Commands::Doctor.new(
@@ -103,6 +165,31 @@ module Hive
         nil
       end
 
+      # R11 (U4): first-run provider/model choices land in the GLOBAL
+      # config (~/.config/hive/config.yml) once — they are operator-level,
+      # not per-project. Only user-supplied non-empty overrides are ever
+      # written; blank answers leave the key absent so defaults keep
+      # applying. Idempotent: a second init never clobbers an existing
+      # models block.
+      def persist_global_model_overrides!(answers)
+        overrides = (answers["model_overrides"] || {}).select { |_agent, model| model.is_a?(String) && !model.strip.empty? }
+        return if overrides.empty?
+
+        data = if File.exist?(Hive::Config.global_config_path)
+                 Hive::Config.load_global_config(Hive::Config.global_config_path)
+               else
+                 {}
+               end
+        return if data.is_a?(Hash) && data["models"].is_a?(Hash) && !data["models"].empty?
+
+        data["registered_projects"] ||= []
+        data["models"] = overrides.merge("_comment" => "provider/model overrides keyed by agent profile; see docs/install.md")
+        Hive::Config.write_global_config!(data)
+      rescue Hive::ConfigError => e
+        # Non-fatal: bad pre-existing global config must not fail init.
+        write_warn("hive: could not persist model overrides to #{Hive::Config.global_config_path}: #{e.message}")
+      end
+
       def print_summary(entry:, ops:)
         c = Palette.for($stdout)
         name = entry["name"]
diff --git a/lib/hive/commands/init/prompts.rb b/lib/hive/commands/init/prompts.rb
index 088635f..21e8749 100644
--- a/lib/hive/commands/init/prompts.rb
+++ b/lib/hive/commands/init/prompts.rb
@@ -96,7 +96,8 @@ module Hive
         #     "triage_bias"       => String,           # courageous | safetyist
         #     "budgets"  => Hash<String, Integer>,     # 9 keys (LIMIT_KEYS)
         #     "timeouts" => Hash<String, Integer>,     # 9 keys (LIMIT_KEYS)
-        #     "daemon_enabled"    => Boolean           # auto-advance pipeline (ADR-024)
+        #     "daemon_enabled"    => Boolean,          # auto-advance pipeline (ADR-024)
+        #     "model_overrides"   => Hash<String, String>  # agent => model, possibly empty (R11)
         #   }
         # Raises Aborted when the user declines confirmation.
         def collect
@@ -109,6 +110,7 @@ module Hive
           triage_bias = prompt_triage_bias
           budgets, timeouts = prompt_limits
           daemon_enabled = prompt_daemon_enabled
+          model_overrides = prompt_model_overrides(planning, development)
 
           answers = {
             "planning_agent" => planning,
@@ -117,7 +119,8 @@ module Hive
             "triage_bias" => triage_bias,
             "budgets" => budgets,
             "timeouts" => timeouts,
-            "daemon_enabled" => daemon_enabled
+            "daemon_enabled" => daemon_enabled,
+            "model_overrides" => model_overrides
           }
 
           summarize(answers)
@@ -143,7 +146,8 @@ module Hive
             "triage_bias" => DEFAULT_TRIAGE_BIAS,
             "budgets" => default_budgets,
             "timeouts" => default_timeouts,
-            "daemon_enabled" => true
+            "daemon_enabled" => true,
+            "model_overrides" => {}
           }
           # Goes to @summary_io (stdout by default) so a non-TTY caller's
           # `summary=$(hive init)` capture has a parseable single line.
@@ -340,7 +344,7 @@ module Hive
           @output.puts "  ready to advance, plus auto-archives 7-finalize after PR merge."
           @output.puts "  It stops at human-input gates (brainstorm questions, review"
           @output.puts "  escalations, recovery markers). Disable later by setting"
-          @output.puts "  daemon.enabled: false in .hive-state/config.yml."
+          @output.puts "  daemon.enabled: false in .hive/config.yml."
           loop do
             @output.print "Enable hive daemon for this project? [Y/n]: "
             @output.flush
@@ -352,6 +356,23 @@ module Hive
           end
         end
 
+        # R11 (U4): per-agent model overrides, recorded ONCE in the global
+        # config (~/.config/hive/config.yml) under a `models:` block by
+        # Init#persist_global_model_overrides!. Blank answers keep the
+        # agent's own provider default — no key is invented.
+        def prompt_model_overrides(planning_agent, development_agent)
+          @output.puts ""
+          @output.puts "Model overrides (optional; blank = each agent's provider default)."
+          [ planning_agent, development_agent ].uniq.each_with_object({}) do |agent, out|
+            @output.print "Model override for #{agent} [none]: "
+            @output.flush
+            value = read_line.strip
+            next if value.empty?
+
+            out[agent] = value
+          end
+        end
+
         def summarize(answers)
           @output.puts ""
           @output.puts "Summary:"
